<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('loan_payments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('loan_id');
            $table->unsignedBigInteger('installment_id');
            $table->decimal('amount', 12, 2);
            $table->date('payment_date');
            // $table->string('collection_method')->nullable();
            $table->foreignId('bank_account_id')->nullable();
            $table->foreignId('user_id')->nullable();
            $table->timestamps();
            // $table->foreign('loan_id')->references('id')->on('loans')->onDelete('cascade');
            // $table->foreign('installment_id')->references('id')->on('loan_installments')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('loan_payments');
    }
};
